onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Logic /cache_controller_tb/clk
add wave -noupdate -format Logic /cache_controller_tb/busy
add wave -noupdate -format Logic /cache_controller_tb/rd
add wave -noupdate -format Logic /cache_controller_tb/wr
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/addr
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/rd_data
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/wr_data
add wave -noupdate -format Logic /cache_controller_tb/data_vld
add wave -noupdate -divider {Main memory}
add wave -noupdate -format Logic /cache_controller_tb/mem_rd
add wave -noupdate -format Logic /cache_controller_tb/mem_wr
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/mem_addr
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/mem_wr_data
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/mem_rd_data
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/main_mem
add wave -noupdate -divider Cache
add wave -noupdate -format Logic /cache_controller_tb/cache_exists
add wave -noupdate -format Literal /cache_controller_tb/cache_data
add wave -noupdate -divider Misc
add wave -noupdate -format Logic /cache_controller_tb/rst_n
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/test_mem_data
add wave -noupdate -format Literal -radix unsigned /cache_controller_tb/counter
add wave -noupdate -divider Assertions
add wave -noupdate -format Literal /cache_controller_tb/ap_wr_rd_memory
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_fifo_pop_on_miss_full
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_fifo_push_on_miss
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_invalidate
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_miss_then_data_2output
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_read_hit
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_read_miss
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_read_miss_busy_data_vld
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_wr_rd
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/ap_write2cache_exits
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_mem_handling/if1/ap_nothing2invalidate
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_mem_handling/if1/ap_nothing2invalidate_concurrent
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_mem_handling/wr_cache_updates/else1_mt4wr/ap_no_cache_line_found_4write
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_mem_handling/wr_cache_updates/else1_mt4wr/ap_no_cache_line_found_4write_concurrent
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_read/if_exists/immed__131
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_read/if_exists/while1/ap_read_cache_line
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cache_mem1/cache_read/if_exists/while1/ap_read_cache_line_concurrent
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/LRU_fifo/a_illegal_fifo_cmd_1
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/LRU_fifo/ap_pop_error_1
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/LRU_fifo/ap_push_data
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/LRU_fifo/ap_push_error_1
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/main_mem_accesses/rd_from_main/ap_rd_cycle_timer_not_zero
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/main_mem_accesses/wr_2main/ap_wr_cycle_timer_not_0
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/main_mem_accesses/wr_2main/ap_wr_cycle_timer_not_0_concurrent
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/mp_busy_no_rd_wr
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/mp_no_simultaneous_rd_wr
add wave -noupdate -format Literal /cache_controller_tb/test/r1/a1
add wave -noupdate -divider Coverage
add wave -noupdate -format Literal /cache_controller_tb/cp_wr_rd_memory
add wave -noupdate -format Literal /cache_controller_tb/cq_wr_rd_memory
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cp_rd_miss
add wave -noupdate -format Literal /cache_controller_tb/cache_controller_1/cp_rd_hit
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {981300 ps} 0}
configure wave -namecolwidth 603
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ns
update
WaveRestoreZoom {204400 ps} {281600 ps}
